#!/bin/sh

set -e

THIS_DIR=$(dirname $(readlink -f $0))
LIB_DIR=$THIS_DIR/lib

export LD_LIBRARY_PATH=$LIB_DIR${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}

if ! which wish  >/dev/null 2>/dev/null ; then
    echo "Missing dependency: 'tcl/tk' not found."
    echo "On Linux distributions using 'yum', such as Fedora, tcl/tk can be installed by running 'sudo yum install tk'."
    echo "On Linux distributions using 'apt', such as Ubuntu, tcl/tk can be installed by running 'sudo apt-get install tk'."
    exit -1
fi
    

LD_LIBRARY_PATH=$LD_LIBRARY_PATH $THIS_DIR/bin/radium $@
